Bug 538558 - Review Request: kde-partitionmanager - KDE Partition Manager
Summary: Review Request: kde-partitionmanager - KDE Partition Manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 19:46 UTC by Thomas Janssen
Modified: 2010-01-03 09:58 UTC (History)
4 users (show)

Fixed In Version: 1.0.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 15:30:38 UTC
jochen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2009-11-18 19:46:29 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/kde-partitionmanager.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/kde-partitionmanager-1.0.0-1.fc11.src.rpm
Description: 
KDE Partition Manager is a utility program to help you manage the disk devices,
partitions and file systems on your computer. It allows you to easily create, 
copy, move, delete, resize without losing data, backup and restore partitions.
 
KDE Partition Manager supports a large number of file systems, 
including ext2/3/4, reiserfs, NTFS, FAT16/32, jfs, xfs and more.
 
It makes use of external programs to get its job done, so you might have to 
install additional software (preferably packages from your distribution) 
to make use of all features and get full support for all file systems.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1814928

[thomas@tusdell SPECS]$ rpmlint kde-partitionmanager.spec ../SRPMS/kde-partitionmanager-1.0.0-1.fc11.src.rpm ../RPMS/x86_64/kde-partitionmanager-*
kde-partitionmanager.x86_64: E: invalid-soname /usr/lib64/libpartitionmanagerprivate.so libpartitionmanagerprivate.so
3 packages and 1 specfiles checked; 1 errors, 0 warnings.

shlib error is there.

Comment 1 Jochen Schmitt 2009-11-18 21:38:50 UTC
Good:
+ Basename of the SPEC file matches with package name
+ Package name fullfill naming guidelines
+ Package has proper BuildRoot defintion
+ Consitently usage of rpm macros
+ License tag declared GPLv2+ as a valid OSS license
+ Copyright notes in source files matches with
  declaration of license tag
+ Package contains verbatin copy of the license text
+ URL tags shows on proper project homepage
+ Could download upstream sources via spectool -g
+ Packaged upstream tar ball matches with upstream
(md5sum: 07046e0c61ca3f06129580ffd7f9c66e)
+ Package has no subpackages
+ Rpmlint is silent on source package
+ Rpmlint is silent on debuginfo package
+ Debuginfo files contains source files
+ buildroot will be cleaned at the beginning of %clean and %install
+ Package has small %doc stanza, so no separate doc subpackage
  in required.
+ Local build works fine
+ Build is SMP clean
+ Local install and uninstall of the package works fine
+ Start of the application works without crash
+ Scratch build on koji works properly
+ Files stanza has proper default permisions
+ Files stanza has no duplicate entries
+ All fires and dirs are owned by the package
+ No files or dirs belong to another package
+ Package has proper Changelog stanza

Bad
- Rpmlint complaints on binary package:
  $ rpmlint kde-partitionmanager-1.0.0-1.fc11.x86_64.rpm
  kde-partitionmanager.x86_64: E: invalid-soname /usr/lib64/libpartitionmanagerprivate.so libpartitionmanagerprivate.so
  1 packages and 0 specfiles checked; 1 errors, 0 warnings.
  Please contact upstream author to fix it.
- Please mof the desktop-file-validate command to the %install stanza
- qt4-devel is not required as a BR, because kdelibs4-devel requires
  qt4-devel

Comment 2 Thomas Janssen 2009-11-18 23:01:15 UTC
Thanks for doing the review.

(In reply to comment #1)

> Bad
> - Rpmlint complaints on binary package:
>   $ rpmlint kde-partitionmanager-1.0.0-1.fc11.x86_64.rpm
>   kde-partitionmanager.x86_64: E: invalid-soname
> /usr/lib64/libpartitionmanagerprivate.so libpartitionmanagerprivate.so
>   1 packages and 0 specfiles checked; 1 errors, 0 warnings.
>   Please contact upstream author to fix it.

I asked about that rpmlint output in #fedora-kde before i upped this review request and got answers from rdieter and Kevin_Kofler that it's only a private lib.
"It's perfectly normal for a KCM to be an unversioned .so, it's a plugin, not a library, it gets dlopened. Nothing else will use it."
Any further thoughts on that?

> - Please mof the desktop-file-validate command to the %install stanza

Moved to %install

> - qt4-devel is not required as a BR, because kdelibs4-devel requires
>   qt4-devel  

Removed the BR


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Jochen Schmitt 2009-11-19 16:06:21 UTC
It may be nice, if you can upload the new release and post the URL to it as a comment in this bug.

Comment 4 Thomas Janssen 2009-11-19 16:36:07 UTC
(In reply to comment #3)
> It may be nice, if you can upload the new release and post the URL to it as a
> comment in this bug.  

Sure, sorry.

Spec URL: http://thomasj.fedorapeople.org/reviews/kde-partitionmanager.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/kde-partitionmanager-1.0.0-2.fc11.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=1816855

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Jochen Schmitt 2009-11-19 16:44:58 UTC
Good:
+ desktop-file-validate was moved to %install
+ BR qt4-devel was removed.

*** APPROVED ***

Comment 6 Thomas Janssen 2009-11-19 18:08:55 UTC
Thank you for the review.

New Package CVS Request
=======================
Package Name: kde-partitionmanager
Short Description: KDE Partition Manager
Owners: thomasj
Branches: F-11 F-12
InitialCC:



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Jason Tibbitts 2009-11-20 01:22:20 UTC
CVS done.

Comment 8 Fedora Update System 2009-11-20 16:32:19 UTC
kde-partitionmanager-1.0.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kde-partitionmanager-1.0.0-2.fc12

Comment 9 Fedora Update System 2009-11-24 07:55:21 UTC
kde-partitionmanager-1.0.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-partitionmanager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11994

Comment 10 Fedora Update System 2009-11-25 15:30:34 UTC
kde-partitionmanager-1.0.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Pavel Alexeev 2010-01-02 16:19:18 UTC
Thomas Janssen, do you plan push updates for Fedora 11 too?

Comment 12 Thomas Janssen 2010-01-02 18:43:23 UTC
Hello Pavel,

yes, i push updates always for every supported Fedora the same time.
kde-partitionmanager-1.0.0-2 is as well in Fedora 11 and rawhide :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Pavel Alexeev 2010-01-03 09:58:24 UTC
Oh, thanks. It seams you just forgot point bug number when push update to it and message bout it does not appeared there. I do not seen in repository directly - my bad.


Note You need to log in before you can comment on or make changes to this bug.